import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FlexyFormAbstractOptionsComponent, FlexyFormControlOptionsService, FlexyFormFieldLayoutSchema, FlexyFormOptionsFilter, SelectOption, SelectOptionMapper } from '@ng-flexy/form';
import { FlexyLoggerService } from '@ng-flexy/core';
export declare class FlexyFormCheckboxListComponent extends FlexyFormAbstractOptionsComponent implements OnInit {
    protected optionsService: FlexyFormControlOptionsService;
    protected logger: FlexyLoggerService;
    private cdr;
    layoutSchema: FlexyFormFieldLayoutSchema;
    default: string[];
    options: SelectOption[];
    optionsUrl: string;
    optionsMapper: SelectOptionMapper | string;
    optionsFilter: FlexyFormOptionsFilter;
    optionsRawId: string;
    label: string;
    description: string;
    readonly: boolean;
    constructor(optionsService: FlexyFormControlOptionsService, logger: FlexyLoggerService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
}
